Skip to main content
PUT
Update payment due term

Authorizations

Authorization
string
header
required

An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.

Path Parameters

payment_term_id
integer
required

The payment term ID

Example:

1

id
integer
required

The payment due term ID

Example:

1

Body

application/json
value
enum<string>

Due term value type.

Available options:
percent,
fixed
Example:

"percent"

value_amount
number

Value amount (percentage or fixed amount). Must be at least 0. Must not be greater than 100.

Example:

100

delay_type
enum<string>

Delay type.

Available options:
days_after,
days_after_end_of_month,
days_after_end_of_next_month,
days_end_of_month_no_the
Example:

"days_after"

nb_days
integer

Number of days. Must be at least 0.

Example:

30

days_next_month
integer | null

Day of next month (1-31). Must be at least 1. Must not be greater than 31.

Example:

15

Response

Success